package examples.alarmclock;

public class FmRadioService implements FmRadio {

	private int volume = 5;

	private double[] stations = { 88.6, 99.5, 100.8, 102.5 };
	private int currentStation = 0;

	private boolean switchedOn = false;

	public void switchOn() {
		if (!switchedOn) {
			switchedOn = true;
			System.out.println("The FM Radio has been switched on.");
		}
	}

	public void switchOff() {
		if (switchedOn) {
			switchedOn = false;
			System.out.println("The FM Radio has been switched off.");
		}
	}

	public void decreaseVolume() {
		if (volume > 0) {
			--volume;
		}
		System.out.println("Volume decreased to " + volume + ".");
	}

	public void increaseVolume() {
		if (volume < 10) {
			++volume;
		}
		System.out.println("Volume increased to " + volume + ".");
	}

	public void findNextStation() {
		currentStation = (currentStation + 1) % stations.length;
		System.out
				.println("Found station " + stations[currentStation] + " FM.");
	}

}
